curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/operation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"communicationNumber": "Test_ComNr_SEPA_13",
"requester": "Company Name AMLYZE",
"businessUnit": "sandbox",
"operationExtId": "Op_11_SEPA_TEST",
"operationType": "SEPA",
"riskManagementCategory": "OP_TRANSFER",
"sourceOfRiskLevel": "EVALUATE",
"operationDateTime": "2025-06-20T12:09:33+02:00",
"financialFlowDirection": "OUTGOING",
"currency": "EUR",
"amount": 10000,
"exchangeRate": 1,
"amountInEquivalent": 10000,
"description": "Invoice 'Nr.01'",
"listOperationParty": [
{
"partyRole": "DEBTOR",
"accountNumber": "ORG20231117550",
"entityType": "ORGANIZATION",
"bic": "SANDLT00XXX",
"title": "UAB 'BrotherHood'"
},
{
"partyRole": "CREDITOR",
"accountNumber": "LT9208800274335945522",
"bic": "AMLYZEXX22",
"entityType": "INDIVIDUAL",
"firstName": "Tomas",
"lastName": "Garcia"
}
]
}
EOF
{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}Operation
Evaluate operation
To initiate the scoring process, the sourceOfRiskLevel field in the API payload must be set to EVALUATE. This instructs the AMLYZE engine to run the operationâs data through the active risk matrix. In contrast, sending the value IMPORT will only update the operationâs data in the system without triggering a new risk evaluation.
POST
/
amlyze-ws-rest
/
operation
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/operation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"communicationNumber": "Test_ComNr_SEPA_13",
"requester": "Company Name AMLYZE",
"businessUnit": "sandbox",
"operationExtId": "Op_11_SEPA_TEST",
"operationType": "SEPA",
"riskManagementCategory": "OP_TRANSFER",
"sourceOfRiskLevel": "EVALUATE",
"operationDateTime": "2025-06-20T12:09:33+02:00",
"financialFlowDirection": "OUTGOING",
"currency": "EUR",
"amount": 10000,
"exchangeRate": 1,
"amountInEquivalent": 10000,
"description": "Invoice 'Nr.01'",
"listOperationParty": [
{
"partyRole": "DEBTOR",
"accountNumber": "ORG20231117550",
"entityType": "ORGANIZATION",
"bic": "SANDLT00XXX",
"title": "UAB 'BrotherHood'"
},
{
"partyRole": "CREDITOR",
"accountNumber": "LT9208800274335945522",
"bic": "AMLYZEXX22",
"entityType": "INDIVIDUAL",
"firstName": "Tomas",
"lastName": "Garcia"
}
]
}
EOF
{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}Authorizations
Body
application/json